<?php

namespace CMP\Util;

use \Teknisa\GER\Utilities\Configuration;
use \Zeedhi\Framework\DataSource\Manager\Doctrine\NameProvider;

class NameProviderImpl implements NameProvider {

    public function getClassName($tableName) {}

    public function getDataSourceByName($dataSourceName) {
        $ds = DIRECTORY_SEPARATOR;
        $file = file_get_contents(__DIR__.$ds.'..'.$ds.'..'.$ds.'..'.$ds.'config'.$ds.'dataSourcesMapping.json');
        $dataSourcesSubModels = json_decode($file, true);
        $dataSourceDirectory = $dataSourcesSubModels[$dataSourceName];
        return Configuration::factoryFromFileLocation($dataSourceDirectory, $dataSourceName);
    }

}