var TestConfigurationController = function(General, templateManager){
	
	this.sendMail = function() {
		
		let widget = templateManager.container.getActiveWidget();
		let row = widget.currentRow;
		
		row.action = 'sendMail';
		
		General.callRestEngine("cmp#/testConfiguration", "Row", row);
		
	};
	
	this.generateQrd = function() {
		
		let widget = templateManager.container.getActiveWidget();
		let row = widget.currentRow;
		
		row.action = 'generateQrd';
		
		General.openReportPopup(widget, function() {General.openReport('cmp#/testConfiguration', 'GER01300', row);}); 
		
	};
	
	this.generateBirt = function() {
		
		let widget = templateManager.container.getActiveWidget();
		let row = widget.currentRow;
		
		row.action = 'generateBirt';
		
		General.openReportPopup(widget, function() {General.openReport('cmp#/testConfiguration', 'testConfiguration', row);});
		
	};
	
};

Configuration(function(ContextRegister) {
	ContextRegister.register('TestConfigurationController', TestConfigurationController);
});
