var Cmp05500_AfsGeralPorAfsFornecedor_Controller = function (ScreenService, General, restEngine, templateManager) {

    var self = this;

    this.clearDefaultFilterGeralAf = function (args) {
        args.e.preference.CUSTOM_FILTER_ROW = {};
    };
    
    this.applyFilterGeralAf = function(args) {
        //const reportName = "CMP05500";
        let widget = args.owner;
        let row = args.e.preference.FILTER_ROW;

        if(widget.isValid()) {
            
    		row.NAOCONSIDERA = 'T';
            row.L_CDGRUPFILI = row.NAOCONSIDERA == 'N'? row.CDGRUPFILI ? row.CDGRUPFILI : "T" : "T";
            //row.L_FILIAL = row.CDFILIAL.join('_');
            row.L_FILIAL = !row.CDFILIAL || Util.isEmptyObject(row.CDFILIAL) ? 'T' : row.L_FILIAL = '_' + row.CDFILIAL.join('_') + '_';
            row.L_FORNECEDOR = !row.FORNECEDOR || Util.isEmptyObject(row.FORNECEDOR) ? 'T' : row.L_FORNECEDOR = '_' + row.FORNECEDOR.join('_') + '_';
            
            row.DATAINI = row.DT_INTERVAL.start;
    		row.DATAFIN = row.DT_INTERVAL.end;
    		row.SEPFORNECEDOR = "F";
    		
    		row.MODO = 'N';
            
            widget.dataSourceFilter =[
                { "name": "P_CDPRODINI",    "operator": "=", "value": row.CDPRODINI      },   
    		    { "name": "P_CDPRODFIM",    "operator": "=", "value": row.CDPRODFIN      },
    		    { "name": "P_PAGINA",       "operator": "=", "value": row.SEPFORNECEDOR     }, 
    		    { "name": "P_DATAINI",      "operator": "=", "value": row.DATAINI  	        }, 
    		    { "name": "P_DATAFIM",      "operator": "=", "value": row.DATAFIN	        },
    		    { "name": "L_FILIAL",       "operator": "=", "value": row.L_FILIAL          },
    		    { "name": "L_CDFORNECEDOR", "operator": "=", "value": row.L_FORNECEDOR      },
    		    { "name": "P_CDPRODINICOC", "operator": "=", "value": row.CDPRODINI      },
    		    { "name": "P_CDPRODFIMCOC", "operator": "=", "value": row.CDPRODFIN      },
    		    { "name": "P_MODO",         "operator": "=", "value": row.MODO              },   
    		    { "name": "P_NRORG",        "operator": "=", "value": getLocalVar('NRORG')  },   
            ];
            
            setStripeGeraAf(row);
            
            widget.reload();
        }
    };
    
    function setStripeGeraAf(row) {
        const widStripe = templateManager.container.getWidget('stripe');
        const stripeRow = widStripe.currentRow;
        
        stripeRow.CDPRODINI = row.NMPRODUTOINI;
        stripeRow.CDPRODFIN = row.NMPRODUTOFIM;
        stripeRow.DTENTREGA = ScreenService.i18n("De ") + row.DT_INTERVAL.start + ScreenService.i18n(" até ") + row.DT_INTERVAL.end;
    }

    this.filtraUnidades = function(widget) {
        widget.currentRow.NMFILIAL = "";
        if(widget.currentRow.NMGRUPFILI)
            widget.getField("NMFILIAL").dataSourceFilter[0].value = widget.currentRow.CDGRUPFILI;
        else
            widget.getField("NMFILIAL").dataSourceFilter[0].value = "T";
        widget.getField("NMFILIAL").reload();
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Cmp05500_AfsGeralPorAfsFornecedor_Controller', Cmp05500_AfsGeralPorAfsFornecedor_Controller);
});